> ## Documentation Index
> Fetch the complete documentation index at: https://docs.promptlayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Scorecard Row

> Get row-level scorecard breakdown for a single row index.

Get the scorecard breakdown for one row.

The response returns row fields at the top level, including `row_index`, `aggregate_score`, `aggregate_verdict`, and `step_results` with per-criterion verdicts and evidence.


## OpenAPI

````yaml GET /api/public/v2/tables/{table_id}/sheets/{sheet_id}/scorecard/rows/{row_index}
openapi: 3.1.0
info:
  title: PromptLayer API
  description: >-
    REST API for PromptLayer: prompt template management, request logging,
    observability, evaluations, and workflows.
  version: 1.0.0
servers: []
security:
  - ApiKeyAuth: []
paths:
  /api/public/v2/tables/{table_id}/sheets/{sheet_id}/scorecard/rows/{row_index}:
    get:
      tags:
        - tables
      summary: Get Table Sheet Scorecard Row
      description: Get row-level scorecard breakdown for a single row index.
      operationId: getTableSheetScorecardRow
      parameters:
        - name: X-API-KEY
          in: header
          required: true
          schema:
            type: string
          description: >-
            Your PromptLayer API key. The key's workspace scopes table resources
            for this request.
        - name: table_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Table ID.
        - name: sheet_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Table sheet ID.
        - name: row_index
          in: path
          required: true
          schema:
            type: integer
            minimum: 0
          description: Zero-based row index.
        - name: calculation_id
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: Calculation ID. Defaults to latest scorecard calculation.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTableSheetScorecardRowResponse'
        '400':
          description: Invalid row index.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Row result not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    GetTableSheetScorecardRowResponse:
      type: object
      required:
        - success
        - id
        - calculation_id
        - scorecard_id
        - sheet_id
        - row_index
        - aggregate_score
        - aggregate_verdict
        - step_results
        - drift_summary
        - stale_state
        - error_summary
        - config_hash
        - input_hash
        - computed_at
      properties:
        success:
          type: boolean
        id:
          type: string
          format: uuid
        calculation_id:
          type: string
          format: uuid
        scorecard_id:
          type: string
          format: uuid
        sheet_id:
          type: string
          format: uuid
        row_index:
          type: integer
          minimum: 0
        aggregate_score:
          type: number
          nullable: true
        aggregate_verdict:
          type: string
          nullable: true
          enum:
            - pass
            - warn
            - fail
            - error
            - skipped
            - null
        step_results:
          additionalProperties: true
          type: object
        drift_summary:
          type: object
          nullable: true
          additionalProperties: true
        stale_state:
          type: object
          nullable: true
          additionalProperties: true
        error_summary:
          type: string
          nullable: true
        config_hash:
          type: string
          nullable: true
        input_hash:
          type: string
          nullable: true
        computed_at:
          type: string
          format: date-time
          nullable: true
      additionalProperties: true
    ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          default: false
          description: Indicates that the request failed.
        message:
          type: string
          description: Human-readable error message.
        error:
          type: string
          description: Machine-readable or fallback error message.
      additionalProperties: true
      description: >-
        Standard error response. Some legacy endpoints may return either message
        or error.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````